Lists all shipment plansget deprecatedhttps://tracking.hereapi.com/shipments/v4/plansGets all shipment plans of the project.Query ParamspageTokenstringA token from the previously returned response to retrieve the specified page.limitinteger1 to 100Defaults to 100The number of items to return per pagenamestringFilter shipments by name. Matching is case-insensitive if wildcards are used, otherwise case-sensitive. The following wildcards can be used: '*' matches any number of any characters, '?' matches any single character.shipmentPlanIdstringReturn only shipment plans that have been instantiated from the specified shipmentPlanId Matching is case-insensitive if wildcards are used, otherwise case-sensitive. The following wildcards can be used: '*' matches any number of any characters, '?' matches any single character.locationIdstringReturn only shipments that have been instantiated from the specified locationIdcreatedBeforedate-timeReturn only shipments that have been created before specified timestampcreatedAfterdate-timeReturn only shipments that have been created after specified timestampisSubShipmentbooleanReturns only shipments marked as subShipmentstruefalsesortstringarrayA paramater to specify field to sort by and order. Allowed fields to sort by: shipmentPlanId, name, createdAtprojectIdstringlength between 1 and 50Project ID. Any HERE Tracking user must be a member of a Tracking project. The project ID can be implicitly resolved if the user calling the API is a member of a single project. If the user is a member of multiple projects, the projectId query parameter needs to be specified explicitly.HeadersX-Request-IduuidID used for correlating requests within HERE Tracking. Used for logging and error reporting. Must be a valid UUIDv4.Responses 200Response body contains an array of shipment plan objects, count indicates the number of returned items, limit indicates the requested maximum amount of records to be returned and pageToken is the next page token if available. 400Bad request The request object is in an incorrect format or has values that are invalid or out of range. If available, further error details are provided in the response body. 401Unauthorized The request did not provide correct authentication details 403Forbidden The account does not have the correct privilegesUpdated 2 months ago